FIND_PATH(VRC6000_COMMON_INCLUDE_DIR  
	NAMES dvr_common.h	
	PATHS 
 	"C:/Stretch/SDVR/src/common_include"
	"/data1/ischiller/devel/ExternLibs/Stretch/SDVR/src/common_include"
)

FIND_PATH(VRC6000_INCLUDE_DIR  
	NAMES sdvr_sdk.h
	PATHS 
	"C:/Stretch/SDVR/src/host/include"
	"/data1/ischiller/devel/ExternLibs/Stretch/SDVR/src/host/include"
)

FIND_PATH(VRC6000_LINK_DIR 
	NAMES sdvr_sdk
	PATHS 
	"C:/Stretch/SDVR/src/host/lib/windows/release"
	"/data1/ischiller/devel/ExternLibs/Stretch/SDVR/src/host/bin/linux/2.6.18-53.el5.x86_64/lib/so"
)

MESSAGE("VRC6000_LINK_DIR ${VRC6000_LINK_DIR}")

IF(WIN32)
  IF(BUILD_SHARED_LIBS)
    SET(VRC6000_LIBRARIES 
      sct sdvr_sdk_dll sdvr_ui_sdk_dll svcext_dll vdec264dll mp4dll demux_base demux_mp4 stplayer stRtpIO live
    )
  ELSE(BUILD_SHARED_LIBS)
    SET(VRC6000_LIBRARIES 
      sct_static sdvr_sdk sdvr_ui_sdk svcext_lib vdec264 mp4lib raw_parser demux_base demux_mp4 stplayer stRtpIO live SetupAPI 
    )
  ENDIF(BUILD_SHARED_LIBS)
ELSE(WIN32)
    SET(VRC6000_LIBRARIES 
      sct sdvr_sdk svcext_lib sdvr_ui_sdk mp4lib stRtpIO
    )
ENDIF(WIN32)

IF(VRC6000_LIBRARIES AND VRC6000_COMMON_INCLUDE_DIR AND VRC6000_INCLUDE_DIR AND VRC6000_LINK_DIR)
	SET(VRC6000_FOUND 1)
ELSE()
	SET(VRC6000_FOUND 0)
ENDIF()