/*
 * OutputWowDisplay2.hh
 *
 *  Created on: Mar 18, 2009
 *      Author: africk
 */

#ifndef __OUTPUT_WOWDISPLAY2_HH__
#define __OUTPUT_WOWDISPLAY2_HH__

#include <GLviewer/OutputAttachments/GLProjectionOutputAttachment.hh>

namespace BIAS
{
/**
* @brief exemplary output attachment to create 2D+Depth output for Wow Displays
* @ingroup g_glviewer
* @author africk
*/
  class BIASGLviewer_EXPORT OutputWowDisplay2 : public GLProjectionOutputAttachment
  {
  public:
    OutputWowDisplay2(BIAS::glfRenderTarget *out);
    virtual ~OutputWowDisplay2();

  protected:

    int Draw_();
    int
    InitShader_();
  };
}

#endif /* __OUTPUT_WOWDISPLAY2_HH__ */
