#ifndef __SceneOpenSceneGraphDefines_hh__
#define __SceneOpenSceneGraphDefines_hh__

#define SOSG_SWITCH_PREFIX "/sw_"
#define SOSG_ROOT_NODE_NAME "_sceneRoot"
#define SOSG_LIGHT_TRANSFORM_NAME "/_lightTransform"
#define SOSG_LIGHT_SOURCE_NAME "/_lightSource"
#define SOSG_LIGHT_REPRESENTATION_SWITCH_NAME "/_lightRepresentationSwitch"
#define SOSG_LIGHT_REPRESENTATION_GEODE_NAME "/_lightRepresentationGeode"

#define SOSG_KEY_FILE_NAME (std::string)("Path")
#define SOSG_KEY_NAME (std::string)("Name")
#define SOSG_KEY_IS_EDITABLE (std::string)("IsEditable")
#define SOSG_KEY_NODE_TYPE (std::string)("NodeType")
#define SOSG_KEY_IS_MODEL_SWITCH (std::string)("IsModelSwitch")
#define SOSG_KEY_IS_MODEL_TRANSFORM (std::string)("IsModelTransform")
#define SOSG_KEY_IS_VISIBLE (std::string)("IsVisibleInTreeCtrl")
#define SOSG_KEY_SHOW (std::string)("Show")
#define SOSG_KEY_IS_EXPANDED (std::string)("IsExpanded")
#define SOSG_KEY_IS_OCCLUDER (std::string)("IsOccluder")
#define SOSG_KEY_IS_CLIPPING_OUTSIDE (std::string)("IsClippingOutside")
#define SOSG_KEY_MARKER_ID (std::string)("MarkerID")
#define SOSG_KEY_SIZE_MM (std::string)("SizeMM")

#endif
