#include "PlainImageCanvas.hh"
#include <Base/Image/ImageConvert.hh>

using namespace BIAS;
using namespace std;

PlainImageCanvas::
PlainImageCanvas(wxWindow* parent, wxStatusBar* sbar, int sbarid)
  : ImageCanvas(parent, sbar, sbarid)
{
}

void PlainImageCanvas::OnKeyDown(wxKeyEvent& event)
{
  if (GetParent() != NULL)
  {
    GetParent()->GetEventHandler()->ProcessEvent(event);
  }
  //event.Skip();
}

void PlainImageCanvas::OnChar(wxKeyEvent& event)
{
  if (GetParent() != NULL)
  {
    GetParent()->GetEventHandler()->ProcessEvent(event);
  }
  //event.Skip();
}

void PlainImageCanvas::OnLeftDown(wxMouseEvent& event)
{
  if (GetParent() != NULL)
  {
    GetParent()->GetEventHandler()->ProcessEvent(event);
  }
  //event.Skip();
}

void PlainImageCanvas::OnRightDown(wxMouseEvent& event)
{
  if (GetParent() != NULL)
  {
    GetParent()->GetEventHandler()->ProcessEvent(event);
  }
  //event.Skip();
}

void PlainImageCanvas::OnMotion(wxMouseEvent& event)
{
  if (GetParent() != NULL)
  {
    GetParent()->GetEventHandler()->ProcessEvent(event);
  }
  //event.Skip();
}

void PlainImageCanvas::OnLeftDClick(wxMouseEvent& event)
{
  if (GetParent() != NULL)
  {
    GetParent()->GetEventHandler()->ProcessEvent(event);
  }
  //event.Skip();
}

void PlainImageCanvas::OnRightMouseButton(wxMouseEvent &event)
{
  if (GetParent() != NULL)
  {
    GetParent()->GetEventHandler()->ProcessEvent(event);
  }
}

void PlainImageCanvas::OnLeftMouseButton(wxMouseEvent &event)
{
  if (GetParent() != NULL)
  {
    GetParent()->GetEventHandler()->ProcessEvent(event);
  }
}

BEGIN_EVENT_TABLE(PlainImageCanvas, ImageCanvas)
EVT_LEFT_DCLICK(PlainImageCanvas::OnLeftDClick)
EVT_LEFT_DOWN(PlainImageCanvas::OnLeftDown)
EVT_RIGHT_DOWN(PlainImageCanvas::OnRightDown)
EVT_MOTION(PlainImageCanvas::OnMotion)
EVT_CHAR(PlainImageCanvas::OnChar)
EVT_KEY_DOWN(PlainImageCanvas::OnKeyDown)
END_EVENT_TABLE()
