/*
 * clfCopy.hh
 *
 *  Created on: Dec 16, 2011
 *      Author: fkellner
 */

#ifndef clfCopy_HH_
#define clfCopy_HH_

#include <Base/Common/BIASpragmaStart.hh>
#include <bias_config.h>
#include <OpenCLFramework/Algorithm/clfAlgorithm.hh>
#include <OpenCLFramework/clfImage2D.hh>
#include <OpenCLFramework/Filter/clfColorConversion.hh>
#include <OpenCLFramework/Algorithm/clfImageOperator.hh>

namespace BIAS {

class BIASOpenCLFramework_EXPORT clfCopy : public clfAlgorithm {
public:
  clfCopy(clfContext *ctx = NULL, bool sharedGL = false, unsigned int device = 0);
  virtual ~clfCopy();

  void Copy(clfImage2D *src, clfImage2D *dest);

private:

};

} /* namespace BIAS */
#include <Base/Common/BIASpragmaEnd.hh>
#endif /* clfCopy_HH_ */
