/*
 * clfImageOperator.hh
 *
 *  Created on: Dec 16, 2011
 *      Author: fkellner
 */

#ifndef CLFIMAGEOPERATOR_HH_
#define CLFIMAGEOPERATOR_HH_

#include <bias_config.h>
#include <Base/Common/BIASpragmaStart.hh>
#include <OpenCLFramework/Algorithm/clfAlgorithm.hh>

namespace BIAS {

class BIASOpenCLFramework_EXPORT clfImageOperator : public clfAlgorithm {
public:
  clfImageOperator(clfContext *ctx = NULL, bool sharedGL = false, unsigned int device = 0);
  virtual ~clfImageOperator();

  void Difference(clfImage2D *im0, clfImage2D *im1, clfImage2D *result, bool asAbs=false, bool zeroCut=false);

  void CutOffMinThreshold(clfImage2D *im0, clfImage2D *result, float minVal);



};

} /* namespace BIAS */
#include <Base/Common/BIASpragmaEnd.hh>
#endif /* CLFIMAGEOPERATOR_HH_ */
