/**
* Demonstrates how uniforms set by PlainPerPixelProcessing
* can be used. Execute with ExamplePlainPerPixelProcessing
* \author bartczak 10/2008
**/
uniform sampler2D img0;
uniform vec2 MIP_pixelOffset;

void main() {
	vec2 access = gl_TexCoord[0];
	access.x += 10*MIP_pixelOffset.x;
	vec4 texel = texture2D(img0, access );
	gl_FragColor = texel;
}