##
## specific settings for BIAS ctest build
## Jan Woetzel
##
## just a hack - no ImageMagick for Linux (temporarily) 


#### specific: 
## identify this configuration type
##

SET (IDENTIFIER       "opencv")

##
## BIAS build specific options
## Be careful to escape any quotes inside of this string
##
SET ( BIAS_CTEST_COMMON_OPTIONSCACHE
"BUILD_EXAMPLES:BOOL=OFF 
// defaults: 
BUILD_SHARED_LIBS:BOOL=OFF
BUILD_IMAGE_CHAR:BOOL=ON 
BUILD_IMAGE_INT:BOOL=ON 
BUILD_IMAGE_SHORT:BOOL=ON 
BUILD_IMAGE_UINT:BOOL=ON 
BUILD_IMAGE_USHORT:BOOL=ON 
BUILD_IMAGE_DOUBLE:BOOL=ON
BUILD_PANTILT:BOOL=ON
CXX_STD_VERSION:STRING=c++11
// third party libs  
USE_DV:BOOL=OFF
USE_FFTW3:BOOL=OFF
USE_GLEW:BOOL=ON
USE_GLUT:BOOL=ON
USE_GSL:BOOL=OFF
USE_IMAGEMAGICKLIB:BOOL=OFF
USE_OPENCV:BOOL=ON
USE_OPENEXR:BOOL=ON
USE_OPENGL:BOOL=ON
USE_PTHREADS:BOOL=ON
USE_TIFF:BOOL=OFF
USE_VLD:BOOL=OFF
USE_WXWIDGETS:BOOL=ON
USE_XML2:BOOL=ON
USE_DC1394:BOOL=ON
USE_KINECT:BOOL=ON
USE_OPENNI:BOOL=ON
USE_UEYE:BOOL=ON
"
)



## memory leak checking,
## e.g. with valgrind on Linux or purify on Linux and Windows.
IF (UNIX)
# MEMORYCHECK_COMMAND:FILEPATH=/usr/bin/valgrind
ENDIF (UNIX)



