##
## specific settings for BIAS ctest build
## Jan Woetzel
##
## all USE_ flags off, do not use third party libraries 


#### specific: 
## identify this configuration type
##

SET (IDENTIFIER       "StaticDefaults")

##
## BIAS build specific options
## Be careful to escape any quotes inside of this string
##
SET ( BIAS_CTEST_COMMON_OPTIONSCACHE
"BUILD_EXAMPLES:BOOL=ON
// defaults: 
BUILD_SHARED_LIBS:BOOL=OFF
BUILD_IMAGE_CHAR:BOOL=ON 
BUILD_IMAGE_INT:BOOL=ON 
BUILD_IMAGE_SHORT:BOOL=ON 
BUILD_IMAGE_UINT:BOOL=ON 
BUILD_IMAGE_USHORT:BOOL=ON 
BUILD_IMAGE_DOUBLE:BOOL=ON 
"
)



## memory leak checking,
## e.g. with valgrind on Linux or purify on Linux and Windows.
#IF (UNIX)
# MEMORYCHECK_COMMAND:FILEPATH=/usr/bin/valgrind
#ENDIF (UNIX)

