##
## specific settings for BIAS ctest build
## Jan Woetzel
##


#### specific: 
## IDs to identify the source/build tree
SET (CTEST_MODULE_ID  "1005vs9")

SET (GENERATOR "vs9")


##
## BIAS build specific options
## Be careful to escape any quotes inside of this string
##
INCLUDE ("biasCfg1005vs9.cmake")


## can also be given as command line arg as ctest -V -S myCfg.cmake,MODEL=Experimental; 
## Experimental Nightly Continuous, ...
SET (MODEL "Experimental Start Update Configure Build Test Submit")


##
## finally include the "master" file
## 
INCLUDE ("biasCommon.cmake")

MESSAGE("------ DBG CTEST_ENVIRONMENT=${CTEST_ENVIRONMENT} -------")
