/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2003-2009    (see file CONTACT for details)
  Multimediale Systeme der Informationsverarbeitung
  Institut fuer Informatik
  Christian-Albrechts-Universitaet Kiel


BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __ShowCamWxApp_hh__
#define __ShowCamWxApp_hh__

#include <wx/wx.h>
#include <Gui/ConsoleRedirectIO.hh>



/**
    @file
    @ingroup g_tools
    @brief Gui application for image grabbing and from various cameras,
           supports ieee1394 (firewire), IDS ueye, V4L and ToF-cameras (PMDTec and Mesa)
           executable: biasShowCamWx, see ShowCamWxApp.hh ShowCamWxApp.cpp ShowCamWxFrame.hh ShowCamWxFrame.cpp
    @author Christopher Menk
*/
class ShowCamWxApp: public wxApp
{
  virtual bool OnInit();
};

#endif // __ShowCamWxApp_hh__
