#include <Utils/IndexLineSetHandler.hh>

using namespace std;

int main(int argc, char **argv)
{
  int dNumberOfLines =0;
  std::vector<std::vector<BIAS::HomgPoint3D> > zDetectedLines; 
  BIAS::IndexLineSetHandler handler;
 
  if(argc >1)
    zDetectedLines = handler.Parse(argv[1],dNumberOfLines);
  
  cout<<"Number of lines parsed in IndexLineSet: "<<dNumberOfLines<<endl;

  handler.Write("lines_test.wrl",zDetectedLines);


  return 0;
}
