#include <pmdsdk2.h>
#include <VideoSource/VideoSource_PMD.hh>

int
main(int argc, char** argv)
{
  /* The handle is used to identify a connection */
  //PMDHandle hnd1;
  PMDHandle hnd2;
  /* Result code for PMDSDK2 calls */
  int res;


  res = pmdOpen(&hnd2, BIAS_PMD_PMDTec_SOURCEPLUGIN, "",
      BIAS_PMD_PMDTec_PROCPLUGIN, "");

  /* Check if the call succeeded */
  if (res != PMD_OK)
    {
      std::cout << "result 2 = " << res << std::endl;
      char err[256];
      /* The handle parameter in pmdGetLastError is 0
       because no connection was established */
      pmdGetLastError(0, err, 256);
      fprintf(stderr, "Could not connect: %s\n", err);
      /* Close the connection */
      pmdClose(hnd2);
      return 1;
  } else {
      std::cout << "OK" << std::endl;
  }




  pmdClose(hnd2);

  return 0;
}
