# SGLock_ROOT_DIR
# SGLock_LIB_DIR  
# SGLock_FOUND   
# SGLock_INCLUDE_DIR
# SGLock_LIBRARIES 


SET(LibGCrypt_FOUND FALSE)
#
IF(WIN32)
#  SET(LGC_SEARCH_ROOT   C:/Programme/SGIntech)
#  SET(LGC_LIB SglW32)
ELSE(WIN32)
  SET(LGC_SEARCH_ROOT   /usr)
  SET(LGC_LIB gcrypt)
ENDIF(WIN32)

FIND_PATH(LibGCrypt_ROOT_DIR include/gcrypt.h
 ${LGC_SEARCH_ROOT} 
 )

SET(LibGCrypt_INCLUDE_DIR "${LibGCrypt_ROOT_DIR}/include")
SET(LibGCrypt_LIBRARY_DIR "${LibGCrypt_ROOT_DIR}/lib")

FIND_LIBRARY(LibGCrypt_LIBRARIES   ${LGC_LIB}
  ${LibGCrypt_LIBRARY_DIR}
 )

MESSAGE("LibGCrypt_ROOT: " ${LibGCrypt_ROOT_DIR})
MESSAGE("LibGCrypt_LIBRARY_DIR: " ${LibGCrypt_LIBRARY_DIR})
MESSAGE("LibGCrypt_LIBRARIES ${LibGCrypt_LIBRARIES}" )
                           
MARK_AS_ADVANCED(LibGCrypt_INCLUDE_DIR)
MARK_AS_ADVANCED(LibGCrypt_LIBRARIES)

IF(LibGCrypt_ROOT_DIR AND LibGCrypt_LIBRARIES) 
  SET(LibGCrypt_FOUND TRUE)
ENDIF(LibGCrypt_ROOT_DIR AND LibGCrypt_LIBRARIES) 

