

IF(USE_IMAGEMAGICKLIB)
  FILE(GLOB imagemagick_extralibs "${IMAGEMAGICKLIB_BIN_DIR}/*_DB_*.dll" )
  LIST(APPEND BIAS_EXTRA_BIN_FILES_DBG ${imagemagick_extralibs})
  FILE(GLOB imagemagick_extralibs "${IMAGEMAGICKLIB_BIN_DIR}/*_RL_*.dll" )
  LIST(APPEND BIAS_EXTRA_BIN_FILES_REL ${imagemagick_extralibs})
ENDIF(USE_IMAGEMAGICKLIB)

IF(USE_LIBJPEG)
  FILE(GLOB extralibs "${JPEG_BIN_DIR}/*.dll" )
  LIST(APPEND BIAS_EXTRA_BIN_FILES_ALL ${extralibs})
ENDIF(USE_LIBJPEG)

IF(USE_PTHREADS)
  FILE(GLOB extralibs "${PTHREADS_BIN_DIR}/*.dll" )
  LIST(APPEND BIAS_EXTRA_BIN_FILES_ALL ${extralibs})
ENDIF(USE_PTHREADS)

IF(USE_GLUT)
  LIST(APPEND BIAS_EXTRA_BIN_FILES_ALL ${GLUT_EXTRA_BIN_FILES})
ENDIF(USE_GLUT)
  
IF(USE_WXWIDGETS)
  FILE(GLOB extralibs "${wxWidgets_LIB_DIR}/wx*28_*vc_custom.dll")
  LIST(APPEND  BIAS_EXTRA_BIN_FILES_REL ${extralibs})
  FILE(GLOB extralibs "${wxWidgets_LIB_DIR}/wx*28d_*vc_custom.dll")
  LIST(APPEND  BIAS_EXTRA_BIN_FILES_DBG ${extralibs})


ENDIF(USE_WXWIDGETS)

IF(WIN32)
  FILE(GLOB extralibs "${BLAS_BIN_DIR}/*.dll" )
  LIST(APPEND BIAS_EXTRA_BIN_FILES_ALL ${extralibs})

  FILE(GLOB extralibs "${LAPACK_BIN_DIR}/*.dll" )
  LIST(APPEND BIAS_EXTRA_BIN_FILES_ALL ${extralibs})

  FILE(GLOB extralibs "${OpenCV_BIN_DIR}/*.dll" )
  LIST(APPEND BIAS_EXTRA_BIN_FILES_ALL ${extralibs})
ENDIF(WIN32)

IF(USE_GLEW)
  LIST(APPEND BIAS_EXTRA_BIN_FILES_ALL ${GLEW_EXTRA_BIN_FILES})
ENDIF(USE_GLEW)


IF(APPLE)
# this is only for Wimca, now, LAPACK and BLAS are missing
# this section should be fused and unified with the Win32 section above.
# may be xml2 is on the systems?
#  LIST(APPEND BIAS_EXTRA_BIN_FILES_ALL ${XML2_LIBRARY})
ENDIF(APPLE)

#MESSAGE("BIAS_EXTRA_BIN_FILES: ${BIAS_EXTRA_BIN_FILES}")
INSTALL(FILES 
  ${BIAS_EXTRA_BIN_FILES_ALL} 
  ${BIAS_EXTRA_BIN_FILES_DBG} 
  ${BIAS_EXTRA_BIN_FILES_REL}
  DESTINATION bin)
