/* 
This file is part of the BIAS library (Basic ImageAlgorithmS).

Copyright (C) 2004
  Johan Skoglund
  skoglund@isy.liu.se
  CVL/isy
  university of Linkping
  sweden

BIAS is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.

BIAS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with BIAS; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

  //Warning this is a working version of the file not final API

#include "bias_config.h"
#include "Base/Debug/Debug.hh"
#include "Base/Image/Image.hh"
#include "Base/Debug/TimeMeasure.hh"
#include "GradientSobel3x3.hh"

#error this code should reside in the class CornerDetectorHarris.hh


namespace BIAS
{
  /**
     @class ColorHarris
     @brief Detects Harris Features on color images
     @ingroup g_feature     
     @date unknown
     @author various
   */
  class BIASFeatureDetector_EXPORT ColorHarris : public Debug
  {
  public:
    int CreateSTColor(Image<unsigned char> &im,Image<short> &st,const float sigma1,const float sigma2);
    int HarrisValue(Image<short> &st,Image<int> &res);
  };
  
} //end namespace
