#include "wxTwoFilesInputDialog.h"
#include <wx/filedlg.h>

wxTwoFilesInputDialog::wxTwoFilesInputDialog( wxWindow* parent )
:
wxTwoFilesInputDialogInterface( parent )
{

}

void wxTwoFilesInputDialog::OnButton1( wxCommandEvent& event )
{
	wxString filename = wxFileSelector(wxT("Choose a file to open"));
	if ( !filename.empty() )
	{
		m_textCtrl1->SetLabel(filename);
	}
}

void wxTwoFilesInputDialog::OnButton2( wxCommandEvent& event )
{
	wxString filename = wxFileSelector(wxT("Choose a file to open"));
	if ( !filename.empty() )
	{
		m_textCtrl2->SetLabel(filename);
	}
}

wxString wxTwoFilesInputDialog::GetString1(){
	return m_textCtrl1->GetValue();
}

wxString wxTwoFilesInputDialog::GetString2(){
	return m_textCtrl2->GetValue();
}

void wxTwoFilesInputDialog::SetString1(wxString s){
	return m_textCtrl1->SetValue(s);
}

void wxTwoFilesInputDialog::SetString2(wxString s){
	return m_textCtrl2->SetValue(s);
}

