#ifndef __UDPDATACONSUMER__
#define __UDPDATACONSUMER__

#include <Base/Common/BIASpragmaStart.hh>
#include <bias_config.h>

namespace BIAS
{
  /** 
    @class UDPDataConsumer
    @brief Interface class for UDP data
    @ingroup network
    @author Daniel Grest 01/2004
  */
  class BIASNetworkComm_EXPORT UDPDataConsumer
  {
  public:
    UDPDataConsumer(){}
    virtual ~UDPDataConsumer(){}

    virtual void consume_complete_message(int number_of_parts,
            char** parts,
            int size_of_parts,
            int size_of_last_part) {}
  };
}

#include <Base/Common/BIASpragmaEnd.hh>
#endif


