#include <wx/wx.h>
#include "DPPanTiltControl.hh"

namespace BIAS{

enum { ID_LEFT=1, ID_RIGHT, ID_UP, ID_DOWN,
       ID_RESET,ID_DPQUIT, ID_DPControl, ID_RESETFULL,ID_AUTO
      };


class BIASPanTilt_EXPORT DPPanTiltControlDialog : public wxDialog
  {

  public:
    DPPanTiltControlDialog(wxFrame *parent, wxWindowID id, const wxString &title);
    // virtual ~DPControlDialog(); 
    void OnLeft(wxCommandEvent& event);  
    void OnRight(wxCommandEvent& event);
    void OnUp(wxCommandEvent& event);
    void OnDown(wxCommandEvent& event);
    void OnAutoMove(wxCommandEvent& event);
    void OnReset(wxCommandEvent& event); 
    void OnResetFull(wxCommandEvent& event);
    void OnQuit(wxCommandEvent& event);
	  void SetDPControl(BIAS::DPPanTiltControl *dpControl);

  private:
    DECLARE_EVENT_TABLE()
    BIAS::DPPanTiltControl* pDpPanTiltControl_;
  };
}
