##
## specific settings for BIAS ctest build
## Jan Woetzel
##


#### specific: 
## identify this configuration type
##

SET (IDENTIFIER       "mostOnLibonly")

##
## BIAS build specific options
## Be careful to escape any quotes inside of this string
##
SET ( BIAS_CTEST_COMMON_OPTIONSCACHE
"BUILD_EXAMPLES:BOOL=OFF 
// use the platform dependant default:
BUILD_SHARED_LIBS:BOOL=ON
BUILD_IMAGE_CHAR:BOOL=ON 
BUILD_IMAGE_INT:BOOL=ON 
BUILD_IMAGE_SHORT:BOOL=ON 
BUILD_IMAGE_UINT:BOOL=ON 
BUILD_IMAGE_USHORT:BOOL=ON 
BUILD_IMAGE_DOUBLE:BOOL=ON 
BUILD_DYNAMIC_LOAD_PROJECTION:BOOL=ON
// third party libs  
USE_1394CAMERACMU:BOOL=OFF
USE_DC1394:BOOL=ON
//our version DEVIL-1.6.7 is not compatible with gcc4.2.1
USE_DEVIL:BOOL=OFF
USE_GSL:BOOL=ON
USE_LIBJPEG:BOOL=ON
USE_TIFF:BOOL=OFF
USE_DV:BOOL=OFF
USE_FFTW3:BOOL=ON
USE_GLEW:BOOL=ON
USE_GLUT:BOOL=ON
USE_IMAGEMAGICKLIB:BOOL=ON
USE_OPENCV:BOOL=ON
USE_OPENEXR:BOOL=ON
USE_OPENGL:BOOL=ON
USE_OPENMP:BOOL=OFF
USE_PTHREADS:BOOL=ON
USE_VLD:BOOL=OFF
USE_WXWIDGETS:BOOL=ON
USE_XML2:BOOL=ON
"
)



## memory leak checking,
## e.g. with valgrind on Linux or purify on Linux and Windows.
IF (UNIX)
# MEMORYCHECK_COMMAND:FILEPATH=/usr/bin/valgrind
ENDIF (UNIX)



